[arch-commits] Commit in python-wxpython/repos (2 files)

Felix Yan felixonmars at gemini.archlinux.org
Tue Nov 30 21:47:27 UTC 2021


    Date: Tuesday, November 30, 2021 @ 21:47:27
  Author: felixonmars
Revision: 1058997

archrelease: copy trunk to community-staging-x86_64

Added:
  python-wxpython/repos/community-staging-x86_64/
  python-wxpython/repos/community-staging-x86_64/PKGBUILD
    (from rev 1058996, python-wxpython/trunk/PKGBUILD)

----------+
 PKGBUILD |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

Copied: python-wxpython/repos/community-staging-x86_64/PKGBUILD (from rev 1058996, python-wxpython/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2021-11-30 21:47:27 UTC (rev 1058997)
@@ -0,0 +1,47 @@
+# Maintainer: Filipe Laíns (FFY00) <lains at archlinux.org>
+# Maintainer: Morten Linderud <foxboron at archlinux.org>
+# Contributor: Eric Bélanger <eric at archlinux.org>
+
+pkgname=python-wxpython
+_pkgname=wxPython
+pkgver=4.0.7.2
+_pkgver="${pkgver%.*}"
+_post="${pkgver##*.}"
+pkgrel=2
+epoch=1
+pkgdesc='Cross-platform GUI toolkit'
+arch=('x86_64')
+license=('custom:wxWindows')
+url='https://www.wxpython.org'
+depends=('wxgtk3' 'python-six')
+optdepends=('python-pypubsub: Alternative to the deprecated wx.lib.pubsub API')
+makedepends=('mesa' 'glu' 'webkit2gtk' 'python-requests' 'python-setuptools')
+checkdepends=('xorg-server-xvfb' 'python-pytest-forked' 'python-numpy')
+source=("https://files.pythonhosted.org/packages/source/w/wxPython/wxPython-$_pkgver.post$_post.tar.gz")
+sha512sums=('7af89db90a0f7e6b644d61c1ede01ec36a2c295e46d44692ae9dbc4af923310c1b498a52f45b02a89e8917d844c6abe67e5f3fdd9c1d51da3312899319a349e4')
+
+prepare() {
+  sed -i "s|WX_CONFIG = 'wx-config'|WX_CONFIG = 'wx-config-gtk3'|" $_pkgname-$_pkgver.post$_post/build.py
+}
+
+build() {
+  cd "$_pkgname-$_pkgver.post$_post"
+
+  python build.py build --use_syswx --release
+}
+
+check() {
+  cd "$_pkgname-$_pkgver.post$_post"
+
+  # there are segfaulting tests so --forked ensures we get sensible results
+  PYTHONPATH=$PWD xvfb-run pytest --forked unittests || echo "==> WARNING: tests usually fail randomly"
+}
+
+package() {
+  cd "$_pkgname-$_pkgver.post$_post"
+
+  python build.py install --destdir="$pkgdir"
+
+  install -Dm 644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+  find "$pkgdir/usr/lib" -type f | xargs chmod 644
+}



More information about the arch-commits mailing list